#ifndef __PATRICIA_HELPER_H__
#define __PATRICIA_HELPER_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Compare bit vectors s1 and s2 for at most n bits, just return Yes (1) or No (0) */
int patricia_bitncmp(const char*s1,const char*s2,int n);

/* Extract the n-th bit from the bit vector s. MSB is defined as the 1st bit. */
int patricia_extractbit(const char*s,int n);

/* Compare bit vectors s1 and s2 for the highest number of equal bits */
int patricia_getmatchlen(const char*s1,const char*s2);

/* Measure the length of a string in number of bits */
int patricia_strlen(const char* const s);

/* Compare two strings to see if they are equal */
int patricia_strcmp(const char* s, const char* t);

#ifdef __cplusplus
}
#endif

#endif
